Bug 854347 - Standardize the terminology ("Skip" v. "Skip Types") in repo list
Standardize the terminology ("Skip" v. "Skip Types") in repo list
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Pradeep Kilambi
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 13:21 EDT by Preethi Thomas
Modified: 2013-01-09 12:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-04 13:21:52 EDT
Description of problem:

If you do repo list --details, you can see that skip type is in 2 places

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create repo with feed and use --skip-types
2.sync the repo
3.run repo list --details
  
Actual results:
[root@preethi-el6-pulp ~]# pulp-admin repo list --details
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 zoo
Display Name:       zoo
Description:        None
Content Unit Count: 39
Notes:              
Auto Publish:       True
Sync Config:        
  Feed:             http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo
                    /
  Retain Old Count: 2
Publish Config:     
  Generate Metadata: True
  Http:              True
  Https:             True
  Relative URL:      /zoo/

Id:                 rhel6_2
Display Name:       rhel6_2
Description:        None
Content Unit Count: 7493
Notes:              
  Repo: Rhel6
Auto Publish:       True
Sync Config:        
  Feed:             https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.2/x
                    86_64/os/
  Feed CA Cert:     Yes
  Feed Cert:        Yes
  Feed Key:         Yes
  Retain Old Count: 3
  Skip Types:       distribution, erratum
  Verify Checksum:  True
  Verify Feed SSL:  True
  Verify Size:      True
Publish Config:     
  Generate Metadata: True
  Http:              False
  Https:             True
  Relative URL:      /content/dist/rhel/rhui/server/6/6.2/x86_64/os/
  Skip:              distribution, erratum




Expected results:


Additional info:
Comment 1 Jay Dobies 2012-09-04 13:27:02 EDT
It's not actually a bug, it's a side effect of the fact that both the sync and publish processes need to know what to skip. It's mildly annoying from a CLI point of view, but expected. 

I suggest we close this as WONTFIX, though I could see an argument for turning this bug into standardizing the terminology ("Skip" v. "Skip Types"). Your call.
Comment 2 Pradeep Kilambi 2012-09-12 13:16:42 EDT
commit 3b7d4adf2386722ac3996394735b229d29d7accd
Comment 3 Pradeep Kilambi 2012-09-12 13:19:38 EDT
standardized so its all "skip" everywhere.
Comment 4 Jeff Ortel 2012-09-21 14:13:00 EDT
build: 0.328
Comment 5 Preethi Thomas 2012-09-26 13:58:25 EDT
verified
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master ~]# 

[root@pulp-master ~]# pulp-admin repo list --details
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 35
Notes:              
Auto Publish:       True
Sync Config:        
  Feed: http://repos.fedorapeople.org/repos/pulp/pulp/v2/stable/6Server/x86_64/
  Skip: rpm
Publish Config:     
  Generate Metadata: True
  Http:              False
  Https:             True
  Relative URL:      /repos/pulp/pulp/v2/stable/6Server/x86_64/
  Skip:              rpm
Comment 6 Preethi Thomas 2013-01-09 12:08:42 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.